Change log for 389-ds-base package in Debian

142 of 42 results
Published in sid-release on 2017-10-04
389-ds-base (1.3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: ftbfs-fix.diff, reproducible-build.diff dropped (upstream)
    others refreshed.
  * *.install: Updated.

 -- Timo Aaltonen <email address hidden>  Wed, 04 Oct 2017 10:33:45 +0300
Published in sid-release on 2017-09-21
389-ds-base (1.3.6.7-5) unstable; urgency=medium

  * Move all libs from base to -libs, add B/R. (Closes: #874764)

 -- Timo Aaltonen <email address hidden>  Thu, 21 Sep 2017 16:44:13 +0300

Available diffs

Deleted in buster-release (Reason: None provided.)
Superseded in sid-release on 2017-09-21
389-ds-base (1.3.6.7-4) unstable; urgency=medium

  * control, install: Fix library/dev-link installs, add Breaks/Replaces
    to fit, and drop obsolete B/R.

 -- Timo Aaltonen <email address hidden>  Wed, 30 Aug 2017 00:19:41 +0300

Available diffs

Superseded in sid-release on 2017-08-30
389-ds-base (1.3.6.7-3) unstable; urgency=medium

  * ftbfs-fix.diff: Fix build. (Closes: #873120)

 -- Timo Aaltonen <email address hidden>  Mon, 28 Aug 2017 15:09:02 +0300

Available diffs

Superseded in sid-release on 2017-08-28
389-ds-base (1.3.6.7-2) unstable; urgency=medium

  * control: Bump policy to 4.1.0, no changes.
  * rules: Override dh_missing.
  * control: Add libltdl-dev to build-depends. (Closes: #872979)

 -- Timo Aaltonen <email address hidden>  Thu, 24 Aug 2017 12:15:03 +0300

Available diffs

Superseded in sid-release on 2017-08-24
389-ds-base (1.3.6.7-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2017-7551 (Closes: #870752)
  * fix-tests.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <email address hidden>  Tue, 22 Aug 2017 16:30:11 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
389-ds-base (1.3.6.5-1) experimental; urgency=medium

  * New upstream release.
    - fix-bsd.patch, support-kfreebsd.patch, fix-48986-cve-2017-2591.diff:
      Dropped, upstream.
  * *.install: Updated.
  * control: Add doxygen, libcmocka-dev, libevent-dev to build-deps.
  * rules: Enable cmocka tests.
  * fix-tests.diff: Fix building the tests.

 -- Timo Aaltonen <email address hidden>  Wed, 10 May 2017 09:38:30 +0300
Superseded in buster-release on 2017-09-04
Published in stretch-release on 2017-05-15
Superseded in sid-release on 2017-08-30
389-ds-base (1.3.5.17-2) unstable; urgency=medium

  * fix-upstream-49245.diff: Pull commits from upstream 1.3.5.x, which
    remove rest of the asm code. (Closes: #862194)

 -- Timo Aaltonen <email address hidden>  Wed, 10 May 2017 09:25:03 +0300

Available diffs

Superseded in sid-release on 2017-05-10
389-ds-base (1.3.5.17-1) unstable; urgency=medium

  * New upstream bugfix release.
    - CVE-2017-2668 (Closes: #860125)
  * watch: Updated.

 -- Timo Aaltonen <email address hidden>  Tue, 09 May 2017 11:06:14 +0300
Superseded in stretch-release on 2017-05-15
Superseded in sid-release on 2017-05-10
389-ds-base (1.3.5.15-2) unstable; urgency=medium

  * fix-48986-cve-2017-2591.diff: Fix upstream ticket 48986,
    CVE-2017-2591. (Closes: #851769)

 -- Timo Aaltonen <email address hidden>  Fri, 27 Jan 2017 00:01:53 +0200

Available diffs

Superseded in stretch-release on 2017-02-03
Superseded in sid-release on 2017-01-27
389-ds-base (1.3.5.15-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2016-5405 (Closes: #842121)

 -- Timo Aaltonen <email address hidden>  Wed, 16 Nov 2016 11:01:00 +0200

Available diffs

Superseded in stretch-release on 2017-01-02
Superseded in sid-release on 2016-12-23
389-ds-base (1.3.5.14-1) unstable; urgency=medium

  * New upstream release.
  * postrm: Remove /etc/dirsrv, /var/lib/dirsrv and /var/log/dirsrv on
    purge.
  * control: Bump build-dep on libsvrcore-dev to ensure it has support
    for systemd password agent.

 -- Timo Aaltonen <email address hidden>  Fri, 28 Oct 2016 01:42:27 +0300

Available diffs

Superseded in stretch-release on 2016-11-02
Superseded in sid-release on 2016-10-28
389-ds-base (1.3.5.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.
  * patches/default_user: Dropped, upstream.
  * support-non-nss-libldap.diff: Dropped, upstream.
  * fix-obsolete-target.diff: Updated.
  * patches: Refreshed.
  * control: Add libsystemd-dev to build-deps.
  * control: Add acl to -base depends.

 -- Timo Aaltonen <email address hidden>  Wed, 12 Oct 2016 11:11:20 +0300
Superseded in stretch-release on 2016-10-18
Superseded in sid-release on 2016-10-12
389-ds-base (1.3.4.14-2) unstable; urgency=medium

  * tests: Add simple autopkgtests.
  * postinst: Start instances after offline update.
  * control, rules: Drop -dbg packages.
  * control: Drop conflicts on slapd. (Closes: #822532)

 -- Timo Aaltonen <email address hidden>  Mon, 03 Oct 2016 17:53:26 +0300
Superseded in stretch-release on 2016-10-09
Superseded in sid-release on 2016-10-04
389-ds-base (1.3.4.14-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Refreshed.

 -- Timo Aaltonen <email address hidden>  Mon, 29 Aug 2016 10:17:41 +0300
Superseded in stretch-release on 2016-09-04
Published in sid-release on 2016-04-18
389-ds-base (1.3.4.9-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Support libldap built against gnutls.
    (LP: #1564179)

 -- Timo Aaltonen <email address hidden>  Mon, 18 Apr 2016 18:08:14 +0300

Available diffs

Superseded in stretch-release on 2016-04-24
Superseded in sid-release on 2016-04-19
389-ds-base (1.3.4.8-4) unstable; urgency=medium

  * use-perl-move.diff: Dropped, 'rename' is more reliable.

 -- Timo Aaltonen <email address hidden>  Wed, 30 Mar 2016 08:38:24 +0300
Superseded in stretch-release on 2016-04-05
Superseded in sid-release on 2016-03-31
389-ds-base (1.3.4.8-3) unstable; urgency=medium

  * use-perl-move.diff: Fix 60upgradeschemafiles.pl to use File::Copy.
    (Closes: #818578)

 -- Timo Aaltonen <email address hidden>  Fri, 18 Mar 2016 11:15:23 +0200

Available diffs

Superseded in stretch-release on 2016-03-24
Superseded in sid-release on 2016-03-22
389-ds-base (1.3.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <email address hidden>  Mon, 22 Feb 2016 07:58:40 +0200

Available diffs

Superseded in stretch-release on 2016-02-27
Superseded in sid-release on 2016-03-31
389-ds-base (1.3.4.5-2) unstable; urgency=medium

  * fix-systemctl-path.diff: Use correct path to /bin/systemctl.
    (Closes: #779653)

 -- Timo Aaltonen <email address hidden>  Wed, 09 Dec 2015 08:31:20 +0200

Available diffs

Superseded in stretch-release on 2015-12-14
Superseded in sid-release on 2015-12-09
389-ds-base (1.3.3.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Add systemd to 389-ds-base Depends. (Closes: #794301)
  * postrm: Clean target.wants in postrm.
  * reproducible-build.diff: Make builds reproducible. Thanks, Chris
    Lamb! (Closes: #799010)

 -- Timo Aaltonen <email address hidden>  Tue, 20 Oct 2015 14:25:05 +0300
Superseded in stretch-release on 2015-10-26
Superseded in sid-release on 2015-10-21
389-ds-base (1.3.3.12-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-3230 (Closes: #789202)

 -- Timo Aaltonen <email address hidden>  Wed, 24 Jun 2015 11:47:50 +0300

Available diffs

Superseded in stretch-release on 2015-06-30
Superseded in sid-release on 2015-06-24
389-ds-base (1.3.3.10-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-1854 (Closes: #783923)
  * postinst: Stop actual instances instead of 'dirsrv' on upgrade, and
    use service(8) instead of invoke-rc.d.

 -- Timo Aaltonen <email address hidden>  Thu, 07 May 2015 07:58:35 +0300

Available diffs

Deleted in experimental-release (Reason: None provided.)
389-ds-base (1.3.3.9-1) experimental; urgency=medium


  * New upstream bugfix release.
    - Drop cve-2014-8*.diff, upstream.

 -- Timo Aaltonen <email address hidden>  Thu, 02 Apr 2015 14:47:20 +0300
Superseded in stretch-release on 2015-05-12
Published in jessie-release on 2015-03-15
Superseded in sid-release on 2015-05-08
389-ds-base (1.3.3.5-4) unstable; urgency=medium


  * Security fixes (Closes: #779909)
    - cve-2014-8105.diff: Fix for CVE-2014-8105
    - cve-2014-8112.diff: Fix for CVE-2014-8112

 -- Timo Aaltonen <email address hidden>  Mon, 09 Mar 2015 10:53:03 +0200

Available diffs

Superseded in jessie-release on 2015-03-15
Superseded in sid-release on 2015-03-10
389-ds-base (1.3.3.5-3) unstable; urgency=medium


  * use-bash-instead-of-sh.diff: Drop admin_scripts.diff and patch the
    scripts to use bash instead of trying to fix bashisms. (Closes:
    #772195)

 -- Timo Aaltonen <email address hidden>  Fri, 16 Jan 2015 15:40:23 +0200

Available diffs

Superseded in jessie-release on 2015-01-22
Superseded in sid-release on 2015-01-16
389-ds-base (1.3.3.5-2) unstable; urgency=medium


  * fix-saslpath.diff: Fix SASL library path.

 -- Timo Aaltonen <email address hidden>  Sat, 25 Oct 2014 01:48:34 +0300

Available diffs

Superseded in sid-release on 2014-10-25
389-ds-base (1.3.3.5-1) unstable; urgency=medium


  * New upstream bugfix release.
  * control: Bump policy, no changes.

 -- Timo Aaltonen <email address hidden>  Mon, 20 Oct 2014 09:57:14 +0300

Available diffs

Superseded in jessie-release on 2014-11-04
Superseded in sid-release on 2014-10-20
389-ds-base (1.3.3.3-1) unstable; urgency=medium


  * New upstream release.
  * Dropped upstreamed patches, refresh others.
  * control, rules, 389-ds-base.install: Add support for systemd.
  * fix-obsolete-target.diff: Drop syslog.target from the service files.
  * 389-ds-base.links: Mask the initscript so that it's not used with systemd.

 -- Timo Aaltonen <email address hidden>  Mon, 06 Oct 2014 17:13:01 +0300
Superseded in jessie-release on 2014-10-17
Superseded in sid-release on 2014-10-06
389-ds-base (1.3.2.23-2) unstable; urgency=medium


  * Team upload.
  * Add fix-bsd.patch and support-kfreebsd.patch to fix the build failure
    on kFreeBSD.

 -- Benjamin Drung <email address hidden>  Wed, 03 Sep 2014 15:32:22 +0200

Available diffs

Superseded in sid-release on 2014-09-04
389-ds-base (1.3.2.23-1) unstable; urgency=medium


  * New bugfix release.
  * watch: Update the url.
  * control: Update Vcs-Browser url to use cgit.

 -- Timo Aaltonen <email address hidden>  Mon, 01 Sep 2014 13:32:59 +0300
Superseded in sid-release on 2014-09-02
389-ds-base (1.3.2.21-1) unstable; urgency=medium


  * New upstream release.
    - CVE-2014-3562 (Closes: #757437)

 -- Timo Aaltonen <email address hidden>  Fri, 08 Aug 2014 10:48:55 +0300
Superseded in sid-release on 2014-08-08
389-ds-base (1.3.2.19-1) unstable; urgency=medium


  * New upstream release.
  * admin_scripts.diff: Updated to fix more bashisms.
  * watch: Update the url.
  * Install failedbinds.py and logregex.py scripts.
  * init: Use status from init-functions.
  * control: Update my email.

 -- Timo Aaltonen <email address hidden>  Tue, 08 Jul 2014 15:50:11 +0300
Superseded in sid-release on 2014-07-09
389-ds-base (1.3.2.9-1.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Apply fix for CVE-2014-0132, see like named patch (Closes: 741600)
  * Fix m4-macro for libsrvcore and add missing B-D on libpci-dev
    (Closes: #745821)

 -- Tobias Frost <email address hidden>  Fri, 25 Apr 2014 15:11:16 +0200
Superseded in sid-release on 2014-05-02
389-ds-base (1.3.2.9-1) unstable; urgency=low


  * New upstream release.
    - fixes CVE-2013-0336 (Closes: #704077)
    - fixes CVE-2013-1897 (Closes: #704421)
    - fixes CVE-2013-2219 (Closes: #718325)
    - fixes CVE-2013-4283 (Closes: #721222)
    - fixes CVE-2013-4485 (Closes: #730115)
  * Drop fix-CVE-2013-0312.diff, upstream.
  * rules: Add new scripts to rename.
  * fix-sasl-path.diff: Use a triplet path to find libsasl2. (LP:
    #1088822)
  * admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
  * control: Add ldap-utils to -base depends.
  * rules, rename-online-scripts.diff: Some scripts with .pl suffix are
    meant for an online server, so instead of overwriting the offline
    scripts use -online suffix.
  * rules: Enable parallel build, but limit the jobs to 1 for
    dh_auto_install.
  * control: Bump policy to 3.9.5, no changes.
  * rules: Add get-orig-source target.
  * lintian-overrides: Drop obsolete entries, add comments for the rest.

 -- Timo Aaltonen <email address hidden>  Mon, 03 Feb 2014 11:08:50 +0200
Superseded in sid-release on 2014-02-25
389-ds-base (1.3.0.3-1) unstable; urgency=low


  * New upstream release.
  * control: Bump the policy to 3.9.4, no changes.
  * fix-CVE-2013-0312.diff: Patch to fix handling LDAPv3 control data.

 -- Timo Aaltonen <email address hidden>  Mon, 11 Mar 2013 14:23:20 +0200
Superseded in sid-release on 2013-03-13
389-ds-base (1.2.11.15-1) unstable; urgency=low


  * New upstream release.
  * Add fix-cve-2012-4450.diff. (Closes: #688942)
  * dirsrv.init: Fix stop() to remove the pidfile only when the process
    is finished. (Closes: #689389)
  * copyright: Update the source url.
  * control: Drop quilt from build-depends, since using 3.0 (quilt)
  * lintian-overrides: Add an override for hardening-no-fortify-
    functions, since it's a false positive in this case.
  * control: Drop dpkg-dev from build-depends, no need to specify it
    directly.
  * copyright: Add myself as a copyright holder for debian/*.
  * 389-ds-base.prerm: Add 'set -e'.
  * rules: drop DEB_HOST_MULTIARCH, dh9 handles it.

 -- Timo Aaltonen <email address hidden>  Wed, 03 Oct 2012 19:33:52 +0300

Available diffs

Superseded in sid-release on 2012-10-04
389-ds-base (1.2.11.7-5) unstable; urgency=low


  * control: Drop debconf-utils and po-debconf from build-depends.
  * control: Add libnetaddr-ip-perl and libsocket-getaddrinfo-perl to
    389-ds-base Depends for ipv6 support. (Closes: #682847)

 -- Timo Aaltonen <email address hidden>  Mon, 30 Jul 2012 13:12:23 +0200

Available diffs

Superseded in sid-release on 2012-07-30
389-ds-base (1.2.11.7-4) unstable; urgency=low


  * debian/po: Remove, leftover from the template purge. (Closes: #681543)

 -- Timo Aaltonen <email address hidden>  Thu, 19 Jul 2012 23:12:01 +0300
Superseded in sid-release on 2012-07-20
389-ds-base (1.2.11.7-3) unstable; urgency=low


  * 389-ds-base.config: Removed, the debconf template is no more.
    (Closes: #680351)
  * control: Remove duplicate 'the' from the 389-ds description.

 -- Timo Aaltonen <email address hidden>  Wed, 11 Jul 2012 11:59:36 +0300

Available diffs

Superseded in sid-release on 2012-07-11
389-ds-base (1.2.11.7-2) unstable; urgency=low


  * control: Stop hardcoding libs to binary depends. (Closes: #679790)
  * control: Add libnspr4-dev and libldap2-dev to 389-ds-base-dev
    Depends. (Closes: #679742)
  * l10n review (Closes: #679870) :
    - Drop the debconf template, and rewrap README.Debian.
    - control: Update the descriptions

 -- Timo Aaltonen <email address hidden>  Tue, 03 Jul 2012 17:58:20 +0300
Superseded in sid-release on 2012-07-05
389-ds-base (1.2.11.7-1) unstable; urgency=low


  [ Timo Aaltonen ]
  * New upstream release.
  * watch: Fix the url.
  * patches/remove_license_prompt: Dropped, included upstream.
  * patches/default_user: Refreshed.
  * control: Change the VCS header to point to the git repository.
  * control: Rename last remnants of Fedora to 389.
  * changelog, control: Be consistent with the naming; renamed the source
    to just '389-ds-base', which matches upstream tarball naming.
  * control: Wrap Depends.
  * compat, control: Bump compat to 9, and debhelper build-dep to (>= 9).
  * rules: Switch to dh.
  * Move dirsrv.lintian to dirsrv.lintian-overrides, adjust dirsrv.install.
  * *.dirs: Clean up.
  * control: Build-depend on dh-autoreconf, drop duplicate bdeps.
  * Fold dirsrv-tools into the main package.
  * Build against libldap2-dev (>= 2.4.28).
  * Rename binary package to 389-ds-base.
  * -dev.install: Install the pkgconfig file.
  * rules: Enable PIE hardening.
  * Add a default file, currently sets LD_BIND_NOW=1.
  * control: 'dbgen' uses old perl libs, add libperl4-corelibs-perl
    dependency to 389-ds-base.
  * rules: Add --fail-missing for dh_install, remove files not needed
    and make sure to install the rest.
  * rules, control: Fix the installation name of ds-logpipe.py, add
    python dependency to 389-ds-base..
  * libns-dshttpd is internal to the server, ship it in 389-ds-base.
  * Rename libdirsrv{-dev,0} -> 389-ds-base-{dev,libs}, includes only
    libslapd and headers for external plugin development.
  * control: Breaks/Replaces old libdirsrv-dev/libdirsrv0/dirsrv.
  * Drop hyphen_used_as_minus, applied upstream.
  * copyright: Use DEP5 format.
  * Cherry-pick upstream commit ee320163c6 to get rid of unnecessary
    and non-free MIB's from the tree, and build a dfsg compliant tarball.
  * lintian-overrides: Update, create one for -libs.
  * Fix the initscript to create the lockdir, and refactor code into separate
    functions.
  * Drop obsolete entries from copyright, and make it lintian clean.
  * debian/po: Refer to the correct file after rename.
  * control: Bump Standards-Version to 3.9.3, no changes.
  * postinst: Drop unused 'lastversion'.
  * patches: Add DEP3 compliant headers.
  * rules, postinst: Add an error handler function for dh_installinit, so
    that clean installs don't fail due to missing configuration.
  * postinst: Run the update tool.
  * dirsrv.init:
    - Make the start and stop functions much simpler and LSB compliant
    - Fix starting multiple instances
    - Use '-b' for start-stop-daemon, since ns-slapd doesn't detach properly
  * control: Add 389-ds metapackage.
  * control: Change libdb4.8-dev build-depends to libdb-dev, since this version
    supports db5.x.
  * 389-ds-base.prerm: Add prerm script for removing installed instances on
    purge.

  [ Krzysztof Klimonda ]
  * dirsrv.init:
    - return 0 code if there are no instances configured and tweak message
      so it doesn't indicate a failure.

 -- Krzysztof Klimonda <email address hidden>  Tue, 27 Mar 2012 14:26:16 +0200
142 of 42 results